import * as React from 'react';
import { ReactWidget } from '@jupyterlab/apputils';
import { ITranslator } from '@jupyterlab/translation';
import { Notebook } from '@jupyterlab/notebook';
import { DocumentRegistry } from '@jupyterlab/docregistry';
import { INotebookModel } from '@jupyterlab/notebook';
export default function useComponentVisible(initialIsVisible: boolean): {
    ref: React.MutableRefObject<null>;
    active: boolean;
    setActive: React.Dispatch<React.SetStateAction<boolean>>;
};
interface IActionHandlers {
    onLunchToProduction: (context: DocumentRegistry.IContext<INotebookModel>) => void;
    onDocToProduction: (context: DocumentRegistry.IContext<INotebookModel>) => void;
    onCustomCommand: (context: DocumentRegistry.IContext<INotebookModel>) => void;
    onRefactorToProduction: (context: DocumentRegistry.IContext<INotebookModel>) => void;
}
export declare class MutableAiRunner extends ReactWidget {
    constructor(widget: Notebook, handlers: IActionHandlers, context: DocumentRegistry.IContext<INotebookModel>, translator?: ITranslator);
    render(): JSX.Element;
    private _trans;
    private _handlers;
    private _context;
}
export {};
